spring:
  kafka:
    bootstrap-servers: winning-amoeba-9802-eu1-kafka.upstash.io:9092
    producer:
      value-serializer: org.apache.kafka.common.serialization.StringSerializer
      key-serializer: org.apache.kafka.common.serialization.StringSerializer
    properties:
      sasl:
        jaas:
          config: "org.apache.kafka.common.security.scram.ScramLoginModule required username=\"${kafka_username}\" password=\"${kafka_password}\";"
        mechanism: SCRAM-SHA-256
      security:
        protocol: SASL_SSL


server:
  port: 0